Email this to a friend
 
When installing Powershell modules from the gallery, you may run into the following error, particularly on older versions of Windows (even Windows 10):

PS C:\WINDOWS\system32> Install-Module -Scope AllUsers -Name module-nameWARNING: Unable to resolve package source 'https://www.powershellgallery.com/api/v2/'.PackageManagement\Install-Package : No match was found for the specified search criteria and module name 'module-name'. Try Get-PSRepository to see all available registered module repositories.

The most common reason for this (aside of having some other issue with internet access) is that Powershell may still be using TLS 1.0, which is no longer supported by Powershell Gallery.

To   ...

Send a link to this post to yourself or a friend.

Send to e-mail:
Your name:
Your e-mail:
Captcha:
Type the letters and numbers as shown.
/get/captcha/1716545326
Not readable? Get another.
 
Information entered is solely used for sending a one-time e-mail, and is not retained and/or passed on to a third party.